// Enter here your package information ...

import android.os.AsyncTask;
import android.util.Log;
import java.net.DatagramPacket;
import java.net.DatagramSocket;
import java.net.InetAddress;



public class UdpSender {

	private String IP;
	private int port;

	private DatagramSocket udpSocket;
	private InetAddress remoteAddress;

	public UdpSender (String IP, int port) {
		this.IP = IP;
		this.port = port;

		initializeUdpClient();
	}



	private void initializeUdpClient() {
		try {
			udpSocket = new DatagramSocket();
			remoteAddress = InetAddress.getByName(IP);
		}
		catch (Exception e) {
		}
	}


	public void sendMessage(String message) {
		bgSender bg = new bgSender();
		bg.execute(message);
	}



	private class bgSender extends AsyncTask<String, Integer, Long> {
		protected Long doInBackground(String... messages) {
			for (String curMessage : messages) {
				try {
					DatagramPacket datagram = new DatagramPacket(curMessage.getBytes(), curMessage.length(),remoteAddress,port);
					udpSocket.send(datagram);
					return 1L;
				}
				catch (Exception e) {
					Log.d("Test","Communication error " + e.toString());
					return 0L;
				}
			}
			return 0L; // unreacheable code
		}

		protected void onProgressUpdate(Integer... progress) {}
		protected void onPostExecute(Long result) {}
	}
}
